﻿using Infragistics.Windows.Editors;
using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamMonthCalendar_DayStyleSelector
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {

        public bool Shown = false;

        //clsDaten Daten = new clsDaten();

        public List<DateTime> DatenFeiertage { get; set; }
        public List<DateTime> DatenArbeitsfreieTage { get; set; }

        public List<DateTime> selDates;

        private StyleSelector _dayStyleSelector;


        public MainWindow()
        {
            this._dayStyleSelector = new CalendarDayStyleSelector(this);

            InitializeComponent();

            DatenLaden();
        }

        public StyleSelector DayStyleSelector
        {
            get { return this._dayStyleSelector; }
        }

        public void DatenLaden()
        {

            DateTime tempStartdatum = DateTime.Today;
            DateTime tempEnddatum = DateTime.Today.AddYears(2);

            xcCalendar.MinDate = tempStartdatum;
            xcCalendar.MaxDate = tempEnddatum;

            //DataTable dtFeiertage = Daten.GibFeiertage(tempStartdatum, tempEnddatum);
            //DataTable dtArbeitsfreieTage = Daten.GibArbeitsfreieTage(tempStartdatum, tempEnddatum);

            //DatenFeiertage = dtFeiertage.Rows.OfType<DataRow>().Select(dr => dr.Field<DateTime>("Datum")).ToList();
            //DatenArbeitsfreieTage = dtArbeitsfreieTage.Rows.OfType<DataRow>().Select(dr => dr.Field<DateTime>("Datum")).ToList();

        }

    }
    public class CalendarDayStyleSelector : StyleSelector
    {
        private MainWindow _page;

        internal CalendarDayStyleSelector(MainWindow page)
        {
            this._page = page;
        }

        public override System.Windows.Style SelectStyle(object item, DependencyObject container)
        {
            CalendarDay day = (CalendarDay)container;
            DateTime date = day.StartDate;

            if (date.Month == 12 && date.Day == 25)
                return (System.Windows.Style)this._page.Resources["Feiertag"];


            return null;
        }
    }
}
